%global snapshot git20151110

Name:           libglvnd
Version:        0.0.0
Release:        4%{?snapshot}%{?dist}
Summary:        The GL Vendor-Neutral Dispatch library

License:        MIT and BSD and LGPLv2+
URL:            https://github.com/NVIDIA/libglvnd
# git clone && ./autogen.sh && make dist && mv
Source0:        libglvnd-%{version}%{?snapshot}.tar.gz
Source1:        10-x11glvnd.conf

#This library only target few architectures use case
ExclusiveArch:  x86_64 i686 armv7hl

BuildRequires:  libxml2-python
BuildRequires:  pkgconfig(xorg-server)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xv)


%description
This is a work-in-progress implementation of the vendor-neutral dispatch layer
for arbitrating OpenGL API calls between multiple vendors on a per-screen
basis, as described by Andy Ritger's OpenGL ABI proposal [1].

Currently, only the GLX window-system API and OpenGL are supported, but in the
future this library may support EGL and OpenGL ES as well.


%package -n     xorg-x11-glvnd
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n xorg-x11-glvnd
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure \
  --disable-static \
  --enable-dt-auxiliary

make %{?_smp_mflags} V=1


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Install config file
mkdir -p %{buildroot}%{_datadir}/X11/xorg.conf.d
install -pm 0644 %{SOURCE1} \
  %{buildroot}%{_datadir}/X11/xorg.conf.d

# Avoid conflict with mesa-libGL for now
mkdir -p %{buildroot}%{_libdir}/%{name}
mv %{buildroot}%{_libdir}/libGL.so* \
  %{buildroot}%{_libdir}/%{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README.md
%{_libdir}/*.so*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libGL.so*

%files -n xorg-x11-glvnd
%{_libdir}/xorg/modules/extensions/*.so*
%{_datadir}/X11/xorg.conf.d/10-x11glvnd.conf


%changelog
* Tue Nov 10 2015 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-4git20151110
- Update to today snapshot
- Fix license

* Tue Sep 01 2015 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-3git20150901
- Update to snapshot 20150901

* Fri Aug 07 2015 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-2
- Update to today snapshoot

* Fri Feb  6 2015 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-1
- Initial spec file
